> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List assets

> List assets with pagination.



## OpenAPI

````yaml https://api.krea.ai/openapi.json get /assets
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /assets:
    get:
      tags:
        - Assets
      summary: List assets
      description: List assets with pagination.
      parameters:
        - in: query
          name: limit
          description: 'Number of items to return (1-1000, default: 100)'
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            description: 'Number of items to return (1-1000, default: 100)'
        - in: query
          name: cursor
          description: Cursor for pagination
          schema:
            type: string
            format: date-time
            description: Cursor for pagination
      responses:
        '200':
          description: List of assets
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        image_url:
                          type: string
                          format: uri
                        uploaded_at:
                          type: string
                          format: date-time
                        width:
                          type:
                            - number
                            - 'null'
                        height:
                          type:
                            - number
                            - 'null'
                        size_bytes:
                          type:
                            - number
                            - 'null'
                        mime_type:
                          type:
                            - string
                            - 'null'
                        description:
                          type: string
                      required:
                        - id
                        - image_url
                        - uploaded_at
                        - width
                        - height
                        - size_bytes
                        - mime_type
                  next_cursor:
                    type:
                      - string
                      - 'null'
                required:
                  - items
                  - next_cursor
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````